org.apache.tapestry5.internal.grid

## Class NullDataSource

- java.lang.Object
- - org.apache.tapestry5.internal.grid.NullDataSource

- All Implemented Interfaces:
    GridDataSource

      public class NullDataSource
      extends Object
      implements GridDataSource

  An implementation of `GridDataSource` used when the value null is provided as the source.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvailableRows()` Returns the number of rows available in the data source.
    `Class` | `getRowType()` Returns the type of value in the rows, or null if not known.
    `Object` | `getRowValue(int index)` Returns the row value at the provided index.
    `void` | `prepare(int startIndex, int endIndex, List<SortConstraint> sortConstraints)` Invoked to allow the source to prepare to present values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.grid.GridDataSource

      `getAvailableRows, isEmpty`

- - ### Constructor Detail

    - #### NullDataSource

          public NullDataSource()

  - ### Method Detail

    - #### getAvailableRows

          public int getAvailableRows()

      Description copied from interface: `GridDataSource`
      Returns the number of rows available in the data source.
      Specified by:
        `getAvailableRows` in interface `GridDataSource`

    - #### getRowType

          public Class getRowType()

      Description copied from interface: `GridDataSource`
      Returns the type of value in the rows, or null if not known. This value is used to create a default `BeanModel` when no such model is explicitly provided.
      Specified by:
        `getRowType` in interface `GridDataSource`
      Returns:
        the row type, or null

    - #### prepare

          public void prepare(int startIndex,
                              int endIndex,
                              List<SortConstraint> sortConstraints)

      Description copied from interface: `GridDataSource`
      Invoked to allow the source to prepare to present values. This gives the source a chance to pre-fetch data (when appropriate) and informs the source of the desired sort order. Sorting comes first, then extraction by range.
      Specified by:
        `prepare` in interface `GridDataSource`
      Parameters:
        `startIndex` - the starting index to be retrieved
        `endIndex` - the ending index to be retrieved
        `sortConstraints` - identify how data is to be sorted

    - #### getRowValue

          public Object getRowValue(int index)

      Description copied from interface: `GridDataSource`
      Returns the row value at the provided index. This method will be invoked in sequential order. In rare instances, `GridDataSource.getAvailableRows()` may return a different number of rows than are actually available (i.e., the database was changed between calls to `GridDataSource.getAvailableRows()` and the call to `GridDataSource.prepare(int, int, java.util.List)`). In that case, this method should return null for any out-of-range indexes.
      Specified by:
        `getRowValue` in interface `GridDataSource`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.